StdErrLog (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.util.log

## Class StdErrLog

- java.lang.Object
- - org.eclipse.jetty.util.log.AbstractLogger
  - - org.eclipse.jetty.util.log.StdErrLog

- All Implemented Interfaces:
    Logger

      public class StdErrLog
      extends AbstractLogger

  StdErr Logging. This implementation of the Logging facade sends all logs to StdErr with minimal formatting.

  If the system property "org.eclipse.jetty.LEVEL" is set to one of the following (ALL, DEBUG, INFO, WARN), then set the eclipse jetty root level logger level to that specified level. (Default level is INFO)

  If the system property "org.eclipse.jetty.util.log.SOURCE" is set, then the source method/file of a log is logged. For named debuggers, the system property name+".SOURCE" is checked, eg "org.eclipse.jetty.util.log.stderr.SOURCE". If it is not not set, then "org.eclipse.jetty.util.log.SOURCE" is used as the default.

  If the system property "org.eclipse.jetty.util.log.stderr.LONG" is set, then the full, unabbreviated name of the logger is used for logging.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `LEVEL_ALL`
    `static int` | `LEVEL_DEBUG`
    `static int` | `LEVEL_INFO`
    `static int` | `LEVEL_WARN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StdErrLog()`
    `StdErrLog(String name)`
    `StdErrLog(String name, Properties props)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static String` | `condensePackageString(String classname)` Condenses a classname by stripping down the package name to just the first character of each package name segment.Configured
    `void` | `debug(String msg, Object... args)` Formats and logs at debug level.
    `void` | `debug(String msg, Throwable thrown)` Logs the given message at debug level, with Throwable information.
    `void` | `debug(Throwable thrown)` Logs the given Throwable information at debug level
    `int` | `getLevel()`
    `protected static int` | `getLevelId(String levelSegment, String levelName)`
    `static int` | `getLoggingLevel(Properties props, String name)` Get the Logging Level for the provided log name.
    `String` | `getName()`
    `void` | `ignore(Throwable ignored)` Ignore an exception.
    `void` | `info(String msg, Object... args)` Formats and logs at info level.
    `void` | `info(String msg, Throwable thrown)` Logs the given message at info level, with Throwable information.
    `void` | `info(Throwable thrown)` Logs the given Throwable information at info level
    `boolean` | `isDebugEnabled()`
    `boolean` | `isHideStacks()`
    `boolean` | `isPrintLongNames()`
    `boolean` | `isSource()` Is the source of a log, logged
    `protected Logger` | `newLogger(String fullname)` Create a Child Logger of this Logger.
    `void` | `setDebugEnabled(boolean enabled)` Legacy interface where a programmatic configuration of the logger level is done as a wholesale approach.
    `void` | `setHideStacks(boolean hideStacks)`
    `void` | `setLevel(int level)` Set the level for this logger.
    `void` | `setPrintLongNames(boolean printLongNames)`
    `static void` | `setProperties(Properties props)`
    `void` | `setSource(boolean source)` Set if a log source is logged.
    `void` | `setStdErrStream(PrintStream stream)`
    `String` | `toString()`
    `void` | `warn(String msg, Object... args)` Formats and logs at warn level.
    `void` | `warn(String msg, Throwable thrown)` Logs the given message at warn level, with Throwable information.
    `void` | `warn(Throwable thrown)` Logs the given Throwable information at warn level

    - ### Methods inherited from class org.eclipse.jetty.util.log.AbstractLogger

      `getLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LEVEL_ALL

          public static final int LEVEL_ALL

      See Also:
        Constant Field Values

    - #### LEVEL_DEBUG

          public static final int LEVEL_DEBUG

      See Also:
        Constant Field Values

    - #### LEVEL_INFO

          public static final int LEVEL_INFO

      See Also:
        Constant Field Values

    - #### LEVEL_WARN

          public static final int LEVEL_WARN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StdErrLog

          public StdErrLog()

    - #### StdErrLog

          public StdErrLog(String name)

    - #### StdErrLog

          public StdErrLog(String name,
                   Properties props)

  - ### Method Detail

    - #### getLoggingLevel

          public static int getLoggingLevel(Properties props,
                            String name)

      Get the Logging Level for the provided log name. Using the FQCN first, then each package segment from longest to shortest.
      Parameters:
        `props` - the properties to check
        `name` - the name to get log for
      Returns:
        the logging level

    - #### getLevelId

          protected static int getLevelId(String levelSegment,
                       String levelName)

    - #### condensePackageString

          protected static String condensePackageString(String classname)

      Condenses a classname by stripping down the package name to just the first character of each package name segment.Configured

           Examples:
           "org.eclipse.jetty.test.FooTest"           = "oejt.FooTest"
           "org.eclipse.jetty.server.logging.LogTest" = "orjsl.LogTest"

      Parameters:
        `classname` - the fully qualified class name
      Returns:
        the condensed name

    - #### getName

          public String getName()

      Returns:
        the name of this logger

    - #### setPrintLongNames

          public void setPrintLongNames(boolean printLongNames)

    - #### isPrintLongNames

          public boolean isPrintLongNames()

    - #### isHideStacks

          public boolean isHideStacks()

    - #### setHideStacks

          public void setHideStacks(boolean hideStacks)

    - #### isSource

          public boolean isSource()

      Is the source of a log, logged
      Returns:
        true if the class, method, file and line number of a log is logged.

    - #### setSource

          public void setSource(boolean source)

      Set if a log source is logged.
      Parameters:
        `source` - true if the class, method, file and line number of a log is logged.

    - #### warn

          public void warn(String msg,
                  Object... args)

      Description copied from interface: `Logger`
      Formats and logs at warn level.
      Parameters:
        `msg` - the formatting string
        `args` - the optional arguments

    - #### warn

          public void warn(Throwable thrown)

      Description copied from interface: `Logger`
      Logs the given Throwable information at warn level
      Parameters:
        `thrown` - the Throwable to log

    - #### warn

          public void warn(String msg,
                  Throwable thrown)

      Description copied from interface: `Logger`
      Logs the given message at warn level, with Throwable information.
      Parameters:
        `msg` - the message to log
        `thrown` - the Throwable to log

    - #### info

          public void info(String msg,
                  Object... args)

      Description copied from interface: `Logger`
      Formats and logs at info level.
      Parameters:
        `msg` - the formatting string
        `args` - the optional arguments

    - #### info

          public void info(Throwable thrown)

      Description copied from interface: `Logger`
      Logs the given Throwable information at info level
      Parameters:
        `thrown` - the Throwable to log

    - #### info

          public void info(String msg,
                  Throwable thrown)

      Description copied from interface: `Logger`
      Logs the given message at info level, with Throwable information.
      Parameters:
        `msg` - the message to log
        `thrown` - the Throwable to log

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Returns:
        whether the debug level is enabled

    - #### setDebugEnabled

          public void setDebugEnabled(boolean enabled)

      Legacy interface where a programmatic configuration of the logger level is done as a wholesale approach.
      Parameters:
        `enabled` - whether to enable the debug level

    - #### getLevel

          public int getLevel()

    - #### setLevel

          public void setLevel(int level)

      Set the level for this logger.

      Available values (`LEVEL_ALL`, `LEVEL_DEBUG`, `LEVEL_INFO`, `LEVEL_WARN`)

      Parameters:
        `level` - the level to set the logger to

    - #### setStdErrStream

          public void setStdErrStream(PrintStream stream)

    - #### debug

          public void debug(String msg,
                   Object... args)

      Description copied from interface: `Logger`
      Formats and logs at debug level.
      Parameters:
        `msg` - the formatting string
        `args` - the optional arguments

    - #### debug

          public void debug(Throwable thrown)

      Description copied from interface: `Logger`
      Logs the given Throwable information at debug level
      Parameters:
        `thrown` - the Throwable to log

    - #### debug

          public void debug(String msg,
                   Throwable thrown)

      Description copied from interface: `Logger`
      Logs the given message at debug level, with Throwable information.
      Parameters:
        `msg` - the message to log
        `thrown` - the Throwable to log

    - #### newLogger

          protected Logger newLogger(String fullname)

      Create a Child Logger of this Logger.
      Specified by:
        `newLogger` in class `AbstractLogger`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### setProperties

          public static void setProperties(Properties props)

    - #### ignore

          public void ignore(Throwable ignored)

      Description copied from interface: `Logger`
      Ignore an exception.

      This should be used rather than an empty catch block.

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.